Mail archive
alpine-aports

[alpine-aports] [PATCH 8/9] testing/py-google-api-python-client: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Wed, 3 Jun 2015 01:04:10 -0500

https://code.google.com/p/google-api-python-client/
Google API Client Library for Python
---
 testing/py-google-api-python-client/APKBUILD | 41 ++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-google-api-python-client/APKBUILD
diff --git a/testing/py-google-api-python-client/APKBUILD b/testing/py-google-api-python-client/APKBUILD
new file mode 100644
index 0000000..9ccbeae
--- /dev/null
+++ b/testing/py-google-api-python-client/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=py-google-api-python-client
+_pkgname=google-api-python-client
+pkgver=1.4.0
+pkgrel=0
+pkgdesc="Google API Client Library for Python"
+url="https://code.google.com/p/google-api-python-client/"
+arch="noarch"
+license="Apache"
+depends="python py-httplib2 py-oauth2client py-uritemplate py-six"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="48e600d261378804bf019c6d26676c1e  google-api-python-client-1.4.0.tar.gz"
+sha256sums="695c046789540db5ce4deefe3836e78a2cc002d5e10a41b936c6907f4ec9c96c  google-api-python-client-1.4.0.tar.gz"
+sha512sums="a41ee1baa5ed2cffc0de8e97a1ce3428c85fed50cb733ded15d9acf1cdfeb95be1b66c36bfbfbc5a48b9590639b8aa01f47d2ba011e4374e80b094f4a48a6d90  google-api-python-client-1.4.0.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jun 03 2015 - 01:04:10 GMT